﻿using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SpaceFighterGame
{
    public class Fighter
    {
        #region Fields
        private Texture2D texture;
        private Int32 sizeX;
        private Int32 sizeY;
        private Int32 locX;
        private Int32 locY;
        #endregion

        #region Properties
        public Texture2D Texture
        {
            get { return texture; }
            set { texture = value; }
        }

        public Int32 SizeX
        {
            get { return sizeX; }
            set { sizeX = value; }
        }

        public Int32 SizeY
        {
            get { return sizeY; }
            set { sizeY = value; }
        }

        public Int32 LocX
        {
            get { return locX; }
            set { locX = value; }
        }

        public Int32 LocY
        {
            get { return locY; }
            set { locY = value; }
        }
        #endregion

        #region Constructor
        public Fighter(ContentManager Content)
        {
            texture = Content.Load<Texture2D>("fighter");
            sizeX = 56;
            sizeY = 100;
            locX = 372;
            locY = 350;
        }
        #endregion

        #region Public methods
        public Rectangle GetLocation()
        {
            return new Rectangle(locX, locY, sizeX, sizeY);
        }
        #endregion
    }
}
